import { Config } from '@pnpm/config';
import { LogBase } from '@pnpm/logger';
import { CreateStoreControllerOptions } from '@pnpm/store-connection-manager';
export declare function rcOptionsTypes(): Pick<any, never>;
export declare function cliOptionsTypes(): {
    'edit-dir': StringConstructor;
    'ignore-existing': BooleanConstructor;
};
export declare const shorthands: {
    d: string;
};
export declare const commandNames: string[];
export declare function help(): string;
export type PatchCommandOptions = Pick<Config, 'dir' | 'registries' | 'tag' | 'storeDir' | 'rootProjectManifest' | 'lockfileDir'> & CreateStoreControllerOptions & {
    editDir?: string;
    reporter?: (logObj: LogBase) => void;
    ignoreExisting?: boolean;
};
export declare function handler(opts: PatchCommandOptions, params: string[]): Promise<string>;
